Bug 204730 - Spelling mistakes in or_IN locale
Spelling mistakes in or_IN locale
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 06:01 EDT by subhransu behera
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 04:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for or_IN (714 bytes, patch)
2006-09-04 02:56 EDT, Mayank Jain
no flags Details | Diff

  None (edit)
Description subhransu behera 2006-08-31 06:01:28 EDT
Locale defination need to be revised as there is some problem while providing
the unicode combination.

Can anyone provide me the the latest oriya locale file so that I can modify it
accordingly.
Comment 1 subhransu behera 2006-08-31 06:24:47 EDT
How to Produce the Bug:

1> Select Oriya as a default language while logging in.

2> Click on Timezone.

3> The month February is displaying the combination of:

   <U0B2B><U0B47><U0B2C><U0B4D><U0B30><U0B41><U0B06><U0B30><U0B40>

   while it should display the combination of 

   <U0B2B><U0B47><U0B2C><U0B43><U0B06><U0B30><U0B40>

4> The Month May is displaying the combination of:

   <U0B2E><U0B47>

   while it should display the combination of 

   <U0B2E><U0B07>

Hence, the locale defination is need to be revised. 

If somebody has the current locale defination file of Oriya available with you
then please provide the same to me.
Comment 2 Mayank Jain 2006-08-31 06:31:13 EDT
Hi Subhranshu, pls include following 4 things when creating a new bug

1) How to reproduce the bug
2) Actual result you are getting
3) Expected result
4) Version of component experiencing the bug.

your response in #c2 will do for now :)

Thanks!
Comment 3 Mayank Jain 2006-09-04 02:56:46 EDT
Created attachment 135481 [details]
patch for or_IN
Comment 4 Mayank Jain 2006-09-04 03:01:53 EDT
Checked the new locale with  localedef -i or_IN -f UTF-8 /usr/lib/locale/or_IN/

Over to you Jakub...

Thanks Subhranshu for the quick fix :)
Comment 5 Leon Ho 2006-09-07 01:42:30 EDT
Mayank, please submit this patch to upstream too. And use this bug to keep track
if we have include the fix from upstream. Thanks.
Comment 6 Mayank Jain 2006-09-07 02:00:25 EDT
Upstream bug http://sources.redhat.com/bugzilla/show_bug.cgi?id=3034 reopened 
and new patch attached.
Comment 7 Jakub Jelinek 2006-09-08 04:05:15 EDT
The patch didn't apply cleanly, but is in glibc CVS for a few days already
and also in glibc-2.4.90-30.
Comment 8 Mayank Jain 2006-09-11 01:52:24 EDT
Thanks :)

Note You need to log in before you can comment on or make changes to this bug.